> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/49.-lekerdezes-racsozott-adatok-lekerese-a-fieldsatelliteimage-bol.md).

# 49. Lekérdezés: rácsozott adatok lekérése a „FieldSatelliteImage”-ből

Lekérdezés rácsosított adatok lekéréséhez a raszteradatokból, amelyek a "FieldSatelliteImage"-hez kapcsolódnak, mint `GEOJSON`  pontokkal vagy `GEOTIFF`. A properties attribútum a szolgáltatótól függ, és általában a szolgáltató eredeti adatait tartalmazza (például VÖRÖS, ZÖLD, KÉK, NIR és akár Tiszta Föld) ponton/pixelként. További részletek az exportált fájlról megtalálhatók [ITT](/geopard-tutorials/hu/termekbemutato-webalkalmazas/export-letoltes/muholdkepek-exportalasa-geotiff-vagy-geojson-formatumban.md).

#### 1. Kérjünk fájlt exportáláshoz

{% hint style="danger" %}
Ajánlott csak egyetlen adathalmaz lekérése a következővel: `sourceDataUrl` kérésenként.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, és `MinusTwoPixels` elérhető mint `puffer`.

`GEOJSON` és `GEOTIFF` elérhető mint egy formátum.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Töltsd le a létrehozott fájlt

A fájl sikeres előkészítése után letölthető a következővel: `curl` vagy hasonló módszerrel.

{% hint style="danger" %}
`sourceDataUrl` a hivatkozás csak elérhető **60 mp-ig.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/49.-lekerdezes-racsozott-adatok-lekerese-a-fieldsatelliteimage-bol.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
